View Issue Details

IDProjectCategoryView StatusLast Update
0002809Path[FreeCAD] Bugpublic2016-12-07 08:57
Reportermlampert Assigned Tomlampert  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002809: Path visualisation of helixes is incorrect
DescriptionA G2/G3 command represents a helix, yet it seems to be displayed as an arc in 3d space.

Attached are two screenshots of the same Path, one taken from FC and the other taken from its output simulated by https://nraynaud.github.io/webgcode/ The FC version has errors on the bottom loop on both sides of the triangular cutout.

A simulation of the actual g-code exported from that path does not show these errors and suggest that the Path itself is correct and this is a simple visualization error.
TagsNo tags attached.

Activities

mlampert

2016-12-03 23:03

developer  

helix-fc.png (6,156 bytes)
helix-fc.png (6,156 bytes)

mlampert

2016-12-03 23:04

developer  

helix-gc.png (4,326 bytes)
helix-gc.png (4,326 bytes)

Related Changesets

FreeCAD: master 26e1a240

2016-12-06 19:16:17

mlampert


Committer: yorik Details Diff
Fix for Path visualisatin of helixes. Affected Issues
0002809
mod - src/Mod/Path/Gui/ViewProviderPath.cpp Diff File

Issue History

Date Modified Username Field Change
2016-12-03 23:03 mlampert New Issue
2016-12-03 23:03 mlampert Status new => assigned
2016-12-03 23:03 mlampert Assigned To => mlampert
2016-12-03 23:03 mlampert File Added: helix-fc.png
2016-12-03 23:04 mlampert File Added: helix-gc.png
2016-12-03 23:13 mlampert Description Updated View Revisions
2016-12-07 08:57 wmayer Changeset attached => FreeCAD Master master 26e1a240
2016-12-07 08:57 wmayer Status assigned => closed
2016-12-07 08:57 wmayer Resolution open => fixed
2016-12-07 08:57 wmayer Fixed in Version => 0.17